### Method

# Camel StreamMem set_byte_array

#### Declaration [src]

    void
    camel_stream_mem_set_byte_array (
      CamelStreamMem* mem,
      GByteArray* buffer
    )

#### Description [src]

Set `buffer` to be the backing data to the existing `CamelStreamMem`, `mem`.

Note: `mem` will not take ownership of `buffer` and so will need to be freed separately from `mem`.

#### Parameters

`buffer`

  Type: An array of `guint8`

  A `GByteArray`.

  The instance takes ownership of the data, and is responsible for freeing it.